{
	"name": "iot-front",
	"private": true,
	"version": "1.0.0",
	"type": "module",
	"scripts": {
		"dev": "vite --host 0.0.0.0  --open",
		"build": "vue-tsc -b && vite build",
		"report": "vue-tsc -b && vite build",
		"commit": "git add . && git-cz &&  git push",
		"lint:eslint": "eslint --fix",
		"lint:format": "prettier --write --log-level warn \"src/**/*.{js,ts,json,tsx,css,less,vue,html,md}\"",
		"lint:stylelint": "stylelint \"**/*.{css,scss,vue,html}\" --fix",
		"lint:lint-staged": "lint-staged",
		"preview": "vite preview --host 0.0.0.0  --open",
		"prepare": "husky"
	},
	"dependencies": {
		"@ant-design/icons-vue": "^7.0.1",
		"@codemirror/lang-java": "^6.0.1",
		"@codemirror/lang-javascript": "^6.2.2",
		"@codemirror/lang-json": "^6.0.1",
		"@codemirror/lang-markdown": "^6.3.0",
		"@codemirror/lang-sql": "^6.8.0",
		"@codemirror/lang-xml": "^6.1.0",
		"@codemirror/language": "^6.10.3",
		"@codemirror/theme-one-dark": "^6.1.2",
		"@kjgl77/datav-vue3": "^1.7.3",
		"@vueuse/core": "^11.1.0",
		"@vxe-ui/plugin-export-xlsx": "^4.0.3",
		"@vxe-ui/plugin-render-antd": "^4.0.7",
		"ant-design-vue": "^4.2.5",
		"axios": "^1.7.7",
		"codemirror": "^6.0.1",
		"dayjs": "^1.11.13",
		"echarts": "^5.5.1",
		"exceljs": "^4.4.0",
		"jsbarcode": "^3.11.6",
		"pinia": "^2.2.4",
		"pinia-plugin-persistedstate": "^4.1.1",
		"print-js": "^1.6.0",
		"sortablejs": "^1.15.3",
		"vue": "^3.5.11",
		"vue-codemirror": "^6.1.1",
		"vue-echarts": "^7.0.3",
		"vue-i18n": "^10.0.4",
		"vue-router": "^4.4.5",
		"vxe-pc-ui": "^4.2.18",
		"vxe-table": "^4.7.86",
		"vxe-table-plugin-antd": "^4.0.8",
		"xe-utils": "^3.5.31"
	},
	"devDependencies": {
		"@commitlint/cli": "^19.5.0",
		"@commitlint/config-conventional": "^19.5.0",
		"@eslint/js": "^9.12.0",
		"@types/jsbarcode": "^3.11.4",
		"@types/sortablejs": "^1.15.8",
		"@vitejs/plugin-vue": "^5.1.4",
		"@vitejs/plugin-vue-jsx": "^4.0.1",
		"commitizen": "^4.3.1",
		"cz-git": "^1.10.1",
		"eslint": "^9.12.0",
		"eslint-config-prettier": "^9.1.0",
		"eslint-plugin-prettier": "^5.2.1",
		"eslint-plugin-vue": "^9.28.0",
		"globals": "^15.11.0",
		"husky": "^9.1.6",
		"less": "^4.2.1",
		"lint-staged": "^15.2.10",
		"pont-engine": "^1.6.3",
		"prettier": "^3.3.3",
		"rollup-plugin-visualizer": "^5.12.0",
		"stylelint": "^16.9.0",
		"stylelint-config-html": "^1.1.0",
		"stylelint-config-prettier": "^9.0.5",
		"stylelint-config-recess-order": "^5.1.1",
		"stylelint-config-recommended-scss": "^14.1.0",
		"stylelint-config-recommended-vue": "^1.5.0",
		"stylelint-config-standard": "^36.0.1",
		"typescript": "^5.6.3",
		"typescript-eslint": "^8.8.1",
		"unplugin-auto-import": "^0.18.3",
		"unplugin-vue-components": "^0.27.4",
		"vite": "^5.4.8",
		"vite-eslint-plugin": "^1.9.2",
		"vite-plugin-compression": "^0.5.1",
		"vite-plugin-vue-devtools": "^7.4.6",
		"vue-tsc": "^2.1.6"
	},
	"config": {
		"commitizen": {
			"path": "node_modules/cz-git"
		}
	},
	"lint-staged": {
		"*.{js,ts}": [
			"eslint --fix",
			"prettier --write"
		],
		"*.{cjs,json}": [
			"prettier --write"
		],
		"*.{vue,html}": [
			"eslint --fix",
			"prettier --write",
			"stylelint --fix"
		],
		"*.{scss,css}": [
			"stylelint --fix",
			"prettier --write"
		],
		"*.md": [
			"prettier --write"
		]
	}
}
